Skip to navigation

Read the stored handshake with a partner (admin)

Admin only. Returns the stored handshake with a partner for the path version and role: its endpoints, token state and last exchange.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionenumRequired

OCPI version: 211 (2.1.1), 221 (2.2.1) or 230 (2.3.0).

Allowed values:
roleenumRequired
Our OCPI role for this partner.
Allowed values:

Query parameters

partner_idintegerRequired>=1

Roaming partner to talk to (from GET /ocpi/partners).

Response

Successful Response
partner_idinteger
versionenum
Allowed values:
actionenum
Allowed values:
credentials_urlstring or nullOptional
versions_urlstring or nullOptional
endpointslist of maps from strings to any or nullOptional
tokens_deactivatedinteger or nullOptional
errorstring or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error